<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">

<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/"	debug="false">

	<appender name="sysout" class="org.apache.log4j.ConsoleAppender">
		<param name="Target" value="System.out"/>
		<layout class="stencyl.core.log.AnsiLogLayout">
			<param name="ConversionPattern" value="%d{ISO8601} %-5p [%t] %c: %m%n"/>
		</layout>
		<filter class="org.apache.log4j.varia.LevelRangeFilter">
			<param name="LevelMin" value="TRACE"/>
			<param name="LevelMax" value="FATAL"/>
			<param name="AcceptOnMatch" value="true"/>
		</filter>
		<filter class="org.apache.log4j.varia.DenyAllFilter"/>
	</appender>

	<logger name="stencyl">
		<level value="DEBUG"/> 
	</logger>

	<logger name="org.eclipse.jgit.util.SystemReader">
		<level value="DEBUG"/>
	</logger>

	<logger name="com.jthemedetecor.OsThemeDetector">
		<level value="DEBUG"/>
	</logger>

	<root>
		<level value="INFO"/>
		<appender-ref ref="sysout"/>
	</root>
	
</log4j:configuration>